
/* ############################# */
body{
  margin: 0%;
  padding: 0%;
}


#body{
    margin: 0%;
    padding: 0%;
    background-image:url("alola\ .jpeg");
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    height: 100vh;
    position: relative;
  
}
   

.input{
 text-align:center;
 position: absolute;
 margin-left:450px;
 
}
input[type="text"]{
  height: 50px;
  width: 500px;
  font-size: "Nunito",sans-serif;
  font-weight:bold;
  font-size: 20px;
  border: none;
  border-radius:2px;
  margin-top: 20px;


}
input[type="submit"]{
  height: 50px;
  width: 100px;
  background: #e7e7e7;
  font-size: "Nunito",sans-serif;
  font-weight:bold;
  font-size: 20px;
  border: none;
  border-radius:2px;
  
}
.display{
  text-align: center;
  background-color: black;
  border-collapse: separate;
  border-spacing: 0px 3px;
  text-transform: uppercase;
  /* border-radius:7px;
  width: 50%;
  box-shadow: inset 0 0 100vw 100vw rgba(0, 0, 0, 0.3),
  0 16px 8px -8px rgba(0,0,0,0.4);  */
}


table{
  margin-top:3px;
  display:none;
  border: 3px solid #f1edf0;
  color: #FFF;
  font-weight: 700;
  background:white;

 
  white-space: nowrap;
  }
  td,th{
  border: 3px  ;
  width: 100%;
  height: 40px;
  }

  @-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
  @-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
  @keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); } }
  
 .close{
   width:20px;
   cursor: pointer;
  
 }
 #subtract{
   cursor: pointer;
 }
  
  @media screen and (max-width: 567px) {
  
      .winner__table{
      font-size: 12px;
      }
      .coin {
      width:15%;
      margin-left:2px;
      }
  }
.desc,.temp1{
  
  font-size: "Nunito",sans-serif;
  font-size: 20px;
  color: rgb(20, 19, 19);
  margin-bottom: 20px;
  
}
.main {
   
    width: 100%;
    height: 70%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    align-content: flex-end;
    position: relative;
 

  }
  #weather{
    width: 50%;
    height: 80%;
    background: rgba( 255, 255, 255, 0.25 );
    box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
    backdrop-filter: blur( 4px );
    -webkit-backdrop-filter: blur( 4px );
    border: 1px solid rgba( 255, 255, 255, 0.18 );
    margin-left: 19px;
    margin-bottom: 100px;
    display:none;
  }
  h1{
      display:none;
      text-align:center;
      
      
      
  }
  #text{
      width: 100%;
      color: rgb(212, 209, 212);
      text-align:center;
      font-family: 'Open Sans', sans-serif;
      font-weight: bold;
      font-size:32px;
      margin-top:13%;
      display:none;
     

  }
  #h3{
    width: 100%;
    text-align:center;
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    font-size:32px;  
    color:rgb(75, 72, 72);
    margin-bottom:90px
  

  }
  #vision{
    width: 100%;
    color: rgb(212, 209, 212);
    text-align:center;
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    font-size:32px;  
  }
 p{
     text-align: center;
 }

  #temp,#humidity{
    text-align:center;
    color: white;
  }


.card{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 40px;
    cursor: pointer;
    transition: 0.3s ease;
    margin-left: 20px;
    margin-bottom:-500px;
  
   
 
}
 .card1{
    height: 50%;
    width: 100%;
    background-size: cover; 
    box-shadow: inset 0 0 100vw 100vw rgba(0, 0, 0, 0.3),
    0 16px 8px -8px rgba(0,0,0,0.4);
    margin: 0 8px;
    border: 2px solid #cac6c6;
    margin-left: 270px;

    
   
}
.card2{
   
    background-size: cover; 
    box-shadow: inset 0 0 100vw 100vw rgba(0, 0, 0, 0.3),
    0 16px 8px -8px rgba(0,0,0,0.4);
    border: 2px solid #918e8e;
    height: 50%;
    width: 100%;
    margin: 0 8px;
    margin-left: 270px;
    
}
#card3{
 
  
    border-radius: 8px;
    background-size: cover; 
    box-shadow: inset 0 0 100vw 100vw rgba(0, 0, 0, 0.3),
    0 16px 8px -8px rgba(0,0,0,0.4);

    border: 1px solid  #cac6c6 ;
    height: 50%;
    width: 100%;
    margin: 0 8px;
    padding: 2px;
    margin-left: 270px;
    
} 

/*section2*/
.section-title{
  display: flex;
  background:  #e5e2e2 ;
  height: 10%;
  margin-top: 50px;

}
.title-text{
  width: 100%;
  font-size: 20px;
  text-align: center;
  margin-top: 20px;
  margin-left: 140px;
  
}
.title-img{
  width:9%;
 margin:0%;
 border-radius:0px;
 margin-right: 60px;
}
.section2{
  width:900px;
  padding: 1rem;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 200px 200px 200px 200px;
  grid-template-rows: 200px 200px 200px;
  grid-gap: 1rem;
 
}

img {
  object-fit: cover;
  width: 100%;
  height: 100%;
  border-radius: 10px;
}

.item-a {
  grid-row: 1 / 3;
 
}

.img{
  position: relative;
 
}
.img-text{
  position: absolute;
  background-color:#0000003d;
  height: 100%;
  width: 100%;
  color: aliceblue;
  display: grid;
  margin: 0%;
  display:none; 
  
}
span{
  font-size:24px;
  margin-top: 40px;
}

.img:hover .img-text{
  display: block;
  background-color:#0000003d;
  height: 100%;
  width: 100%;
  color: aliceblue;
  display: grid;
  margin: 0%;
  cursor: pointer;
 
}

.item-b {
  grid-column: 3 / 5;
}

.item-c {
  grid-row: 2 / 4;
}

.item-d {
  grid-column: 3 / 5;
}

/* section three */

.section-three{

 display: grid;
 grid-template-columns: 1fr 1fr 1fr 1fr;
 justify-items: center;
 align-items: center;
 width: 99%;
 height: 80%;
 display:none;
 
}


.img-3{
  width:100%;
  height:50%;
  display:grid;
  grid-template-columns:1fr;
  padding: 20px;
}
/* POST SLIDER */

.post-slider {
  position: relative;
}

.post-slider .slider-title {
  text-align: center;
  margin: 30px auto;
  color: #ad279c;
}

.post-slider .next {
  position: absolute;
  top: 50%;
  right: 30px;
  font-size: 2em;
  color: #006669;
  cursor: pointer;
}

.post-slider .prev {
  position: absolute;
  top: 50%;
  left: 30px;
  font-size: 2em;
  color: #006669;
  cursor: pointer;
}

.post-slider .post-wrapper {
  width: 84%;
  height: 350px;
  margin: 0px auto;
  overflow: hidden;
  padding: 10px 0px 10px 0px;
}

.post-slider .post-wrapper .post {
  width: 300px;
  height: 330px;
  margin: 0px 10px;
  display: inline-block;
  background: white;
  border-radius: 5px;
  box-shadow: 1rem 1rem 1rem -1rem #a0a0a033;
}

.post-slider .post-wrapper .post .post-info {
  height: 130px;
  padding: 0px 5px;
}

.post-slider .post-wrapper .post .slider-image {
  width: 100%;
  height: 200px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

/* ###################################################### */
/* tap */
@media only screen and (max-width: 768px) {
 
  body{
    margin: 0%;
    padding: 0%;
  }

  #body {
    margin: -1%;
    padding: -1%;
    background-image:url("https://pbs.twimg.com/media/FCEYXgHXIA4uy4G?format=jpg&name=small");
    background-size: 200%;
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    position: relative;
 
   
    
  }
  .input{
    display:grid;
    grid-template-columns: 1fr ;
    grid-gap: 5px;
    position: absolute;
    margin:0%;
    width: 10%;

    
   }
   input[type="text"]{
     margin: 0%;
    width: 112%;
    margin-left: 120px;
   }
   input[type="submit"]{
    margin: 0%;
    width: 55%;
    margin-left: 190px;
   
   }
   .display{
    margin: 0%;
     text-align: center;
     height: 20%;
     width: 100%;
     margin-left: 110px;
 
  
   }
   .display{
    text-align: center;
   
  }
  .desc,.temp1{
    margin: 0%;
    font-size: "Nunito",sans-serif;
    font-weight:bold;
    font-size: 20px;
    color: rgb(250, 246, 246);

  }
  .main {
    margin:0%;
    align-items: center;
    align-content: flex-end;
    position: relative;
    display: grid;
    grid-template-columns:  1fr;

  }
  .card{
    display: grid;
    grid-template-columns:  1fr 1fr 1fr;
    grid-gap:10px;
    cursor: pointer;
    transition: 0.3s ease;
    margin-left: 20px;
  
 
}
  .card1{

    height: 80%;
    width: 80%;
    background-size: cover; 
    box-shadow: inset 0 0 100vw 100vw rgba(0, 0, 0, 0.3),
    0 16px 8px -8px rgba(0,0,0,0.4);
    margin: 0 8px;
    border: 2px solid #cac6c6;
    
   
}
.card2{
  height: 80%;
  width: 80%;
  background-size: cover; 
  box-shadow: inset 0 0 100vw 100vw rgba(0, 0, 0, 0.3),
  0 16px 8px -8px rgba(0,0,0,0.4);
  margin: 0 8px;
  border: 2px solid #cac6c6;
 
}
#card3{
  height: 80%;
  width: 80%;
  background-size: cover; 
  box-shadow: inset 0 0 100vw 100vw rgba(0, 0, 0, 0.3),
  0 16px 8px -8px rgba(0,0,0,0.4);
  margin: 0 8px;
  border: 2px solid #cac6c6;
  
 
}
.section-title{
  margin-top:160px;
}

  .section2{
    width:100%;
    margin: 0 auto;
    display: flex;

    flex-direction: column;
   
  
}

}

/* ############################################################################# */
/* phone */

@media only screen and (max-width: 600px) {
  
  body{
    margin: 0%;
    padding: 0%;
  }
  #body {
    margin: 0;
    padding: 0%;
    background-image:url("https://pbs.twimg.com/media/FCEYXgHXIA4uy4G?format=jpg&name=small");
    background-size: 200%;
    background-repeat: no-repeat;
    width: 100%;
    height: 90%;
    position: relative;
 
   
    
  }
  .input{
    display:grid;
    grid-template-columns: 1fr ;
    grid-gap: 5px;
    position: absolute;
    margin:0%;
    width: 10%;

    
   }
   input[type="text"]{
     margin: 0%;
    width: 112%;
    margin-left: 120px;
   }
   input[type="submit"]{
    margin: 0%;
    width: 55%;
    margin-left: 190px;
   
   }
   .display{
    margin: 0%;
     text-align: center;
     height: 20%;
     width: 100%;
     margin-left: 110px;
 
  
   }
   .display{
    text-align: center;
   
  }
  .desc,.temp1{
    margin: 0%;
    font-size: "Nunito",sans-serif;
    font-weight:bold;
    font-size: 20px;
    color: rgb(250, 246, 246);

  }
  .main {
    margin:0%;
    align-items: center;
    align-content: flex-end;
    position: relative;
    display: grid;
    grid-template-columns:  1fr;

  }
  .card{
    display: grid;
    grid-template-columns:  1fr 1fr 1fr;
    grid-gap:10px;
    cursor: pointer;
    transition: 0.3s ease;
    margin-left: 20px;
  
 
}
  .card1{

    height: 80%;
    width: 80%;
    background-size: cover; 
    box-shadow: inset 0 0 100vw 100vw rgba(0, 0, 0, 0.3),
    0 16px 8px -8px rgba(0,0,0,0.4);
    margin: 0 8px;
    border: 2px solid #cac6c6;
    
   
}
.card2{
  height: 80%;
  width: 80%;
  background-size: cover; 
  box-shadow: inset 0 0 100vw 100vw rgba(0, 0, 0, 0.3),
  0 16px 8px -8px rgba(0,0,0,0.4);
  margin: 0 8px;
  border: 2px solid #cac6c6;
 
}
#card3{
  height: 80%;
  width: 80%;
  background-size: cover; 
  box-shadow: inset 0 0 100vw 100vw rgba(0, 0, 0, 0.3),
  0 16px 8px -8px rgba(0,0,0,0.4);
  margin: 0 8px;
  border: 2px solid #cac6c6;
  
 
}
.section-title{
  margin-top:160px;
}

  .section2{
    width:80%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
   
  
}
  
}